searchData={"items":[{"type":"module","title":"DeltaHtml","doc":"Convert Quill (Slab) [Delta](https://quilljs.com/docs/delta) document format to HTML.\n\nThis is useful to display rich text entered by users in your web UI or emails.\nIt sanitizes input (prevents malicious HTML) and allows you to store only the document model (delta) and not also the HTML.","ref":"DeltaHtml.html"},{"type":"module","title":"Usage - DeltaHtml","doc":"```\niex> DeltaHtml.to_html([%{\"insert\" => \"word\\n\"}])\n\" word \"\n\n# With whitespace preservation\niex> DeltaHtml.to_html([%{\"insert\" => \"word\\n\"}], preserve_whitespace: true)\n\"  word  \"\n```","ref":"DeltaHtml.html#module-usage"},{"type":"module","title":"Supported features - DeltaHtml","doc":"","ref":"DeltaHtml.html#module-supported-features"},{"type":"module","title":"Inline - DeltaHtml","doc":"- ✅ Background Color - background\n- ✅ Bold - bold\n- ✅ Color - color\n- ✅ Font - font (only 'serif' and 'monospace')\n- ✅ Inline Code - code\n- ✅ Italic - italic\n- ✅ Link - link\n- ✅ Size - size (only 'small', 'large', and 'huge')\n- ✅ Strikethrough - strike\n- ✅ Superscript/Subscript - script\n- ✅ Underline - underline","ref":"DeltaHtml.html#module-inline"},{"type":"module","title":"Block - DeltaHtml","doc":"- ✅ Blockquote - blockquote\n- ✅ Header - header\n- ✅ Indent - indent\n- ✅ List - list\n- ✅ Text Alignment - align\n- ✅ Text Direction - direction\n- ❌ Code Block - code-block\n- ❌ Formula - formula (requires KaTeX)\n- ❌ Image - image\n- ❌ Video - video","ref":"DeltaHtml.html#module-block"},{"type":"module","title":"Plugins - DeltaHtml","doc":"- ✅ quill-mention - output as `#{denotation_char}#{id}`, e.g. `+name`","ref":"DeltaHtml.html#module-plugins"},{"type":"module","title":"Extensibility - DeltaHtml","doc":"Currently there are no extensions points e.g. to support further formats or plugins.\nIt's a fairly short single file, so just copy and paste.","ref":"DeltaHtml.html#module-extensibility"},{"type":"module","title":"Alternatives - DeltaHtml","doc":"- Convert in browser\n  - [`quill.getSemanticHTML(0)`](https://quilljs.com/docs/api#getsemantichtml)\n  - Con: Need to store Delta and HTML.\n  - Con: Need to sanitize HTML on server.\n  - Con: Less control over output (separate transform pass on server?), especially for plugins like [quill-mention](https://github.com/quill-mention/quill-mention).\n- NIF\n  - Rust: [quill-core-rs](https://github.com/mundo-68/quill-core-rs) (untested)\n- Markdown instead of Delta/Quill\n  - WYSIWYG editor, e.g. [milkdown](https://milkdown.dev/)\n  - HTML conversion: [earmark](https://hexdocs.pm/earmark)","ref":"DeltaHtml.html#module-alternatives"},{"type":"function","title":"DeltaHtml.to_html/2","doc":"Convert Quill Delta to HTML.","ref":"DeltaHtml.html#to_html/2"},{"type":"function","title":"Options - DeltaHtml.to_html/2","doc":"* `:preserve_whitespace` - When true, wraps the output in a div with white-space: pre-wrap to preserve whitespace. Defaults to false.","ref":"DeltaHtml.html#to_html/2-options"},{"type":"function","title":"Examples - DeltaHtml.to_html/2","doc":"iex> to_html([%{\"insert\" => \"word\\n\"}])\n    \" word \"\n\n    iex> to_html([%{\"insert\" => \"word\\n\"}], preserve_whitespace: true)\n    \"  word  \"","ref":"DeltaHtml.html#to_html/2-examples"},{"type":"extras","title":"Changelog","doc":"# Changelog\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),\nand this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).\n\n## [0.4.0] - 2025-03-18","ref":"changelog.html"},{"type":"extras","title":"Fixed - Changelog","doc":"- Deeply nested lists","ref":"changelog.html#fixed"},{"type":"extras","title":"Added - Changelog","doc":"- Support JSON as input\n- Preserve whitespace with optional wrapper","ref":"changelog.html#added"},{"type":"extras","title":"Changed - Changelog","doc":"- Rename to `DeltaHtml.to_html`\n\n\n## [0.3.0] - 2025-03-17","ref":"changelog.html#changed"},{"type":"extras","title":"Added - Changelog","doc":"- Text alignment and indent\n\n## [0.2.0] - 2025-03-17","ref":"changelog.html#added"},{"type":"extras","title":"Added - Changelog","doc":"- Sanitize links\n\n## [0.1.0] - 2025-03-16","ref":"changelog.html#added"},{"type":"extras","title":"Added - Changelog","doc":"- Initial release","ref":"changelog.html#added"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}